com.fasterxml.jackson.dataformat.avro.deser

## Class MapReader

- java.lang.Object
- - com.fasterxml.jackson.core.JsonStreamContext
  - - com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext
    - - com.fasterxml.jackson.dataformat.avro.deser.AvroStructureReader
      - - com.fasterxml.jackson.dataformat.avro.deser.MapReader

-     public final class MapReader
      extends AvroStructureReader

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `_count`
    `protected org.apache.avro.io.BinaryDecoder` | `_decoder`
    `protected AvroParserImpl` | `_parser`
    `protected int` | `_state`
    `protected static int` | `STATE_DONE`
    `protected static int` | `STATE_END`
    `protected static int` | `STATE_NAME`
    `protected static int` | `STATE_START`
    `protected static int` | `STATE_VALUE`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroStructureReader

      `_currToken`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext

      `_parent`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `_index, _type, TYPE_ARRAY, TYPE_OBJECT, TYPE_ROOT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapReader(AvroScalarReader reader)`
    `MapReader(AvroStructureReader reader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendDesc(StringBuilder sb)`
    `String` | `getCurrentName()`
    `MapReader` | `newReader(AvroReadContext parent, AvroParserImpl parser, org.apache.avro.io.BinaryDecoder decoder)` Method for creating actual instance to use for reading (initial instance constructed is so-called blue print).
    `String` | `nextFieldName()`
    `com.fasterxml.jackson.core.JsonToken` | `nextToken()`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroStructureReader

      `_throwUnsupported, getCurrentToken, throwIllegalState`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext

      `_reportError, getParent, toString`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `getCurrentIndex, getCurrentValue, getEntryCount, getTypeDesc, inArray, inObject, inRoot, setCurrentValue, typeDesc`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STATE_START

          protected static final int STATE_START

      See Also:
        Constant Field Values

    - #### STATE_NAME

          protected static final int STATE_NAME

      See Also:
        Constant Field Values

    - #### STATE_VALUE

          protected static final int STATE_VALUE

      See Also:
        Constant Field Values

    - #### STATE_END

          protected static final int STATE_END

      See Also:
        Constant Field Values

    - #### STATE_DONE

          protected static final int STATE_DONE

      See Also:
        Constant Field Values

    - #### _decoder

          protected final org.apache.avro.io.BinaryDecoder _decoder

    - #### _parser

          protected final AvroParserImpl _parser

    - #### _state

          protected int _state

    - #### _count

          protected long _count

  - ### Constructor Detail

    - #### MapReader

          public MapReader(AvroScalarReader reader)

    - #### MapReader

          public MapReader(AvroStructureReader reader)

  - ### Method Detail

    - #### newReader

          public MapReader newReader(AvroReadContext parent,
                            AvroParserImpl parser,
                            org.apache.avro.io.BinaryDecoder decoder)

      Description copied from class: `AvroStructureReader`
      Method for creating actual instance to use for reading (initial instance constructed is so-called blue print).
      Specified by:
        `newReader` in class `AvroStructureReader`

    - #### getCurrentName

          public String getCurrentName()

      Overrides:
        `getCurrentName` in class `AvroReadContext`

    - #### nextToken

          public com.fasterxml.jackson.core.JsonToken nextToken()
                                                         throws IOException

      Specified by:
        `nextToken` in class `AvroStructureReader`
      Throws:
        `IOException`

    - #### nextFieldName

          public String nextFieldName()
                               throws IOException

      Specified by:
        `nextFieldName` in class `AvroReadContext`
      Throws:
        `IOException`

    - #### appendDesc

          public void appendDesc(StringBuilder sb)

      Specified by:
        `appendDesc` in class `AvroReadContext`

Copyright © 2016 FasterXML. All rights reserved.